<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CMenu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classCMenu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CMenu Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Menu class Abstract class with a basic set of methods to draw parts of menu.  
 <a href="classCMenu.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="menu_8h_source.html">menu.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CMenu:</div>
<div class="dyncontent">
<div class="center"><img src="classCMenu__inherit__graph.png" border="0" usemap="#CMenu_inherit__map" alt="Inheritance graph"/></div>
<map name="CMenu_inherit__map" id="CMenu_inherit__map">
<area shape="rect" id="node2" href="classCGamesMenu.html" title="Load game menu. " alt="" coords="119,5,226,32"/>
<area shape="rect" id="node3" href="classCLoser.html" title="Show losing screen. " alt="" coords="141,56,205,83"/>
<area shape="rect" id="node4" href="classCMainMenu.html" title="Main menu. " alt="" coords="127,107,219,133"/>
<area shape="rect" id="node5" href="classCManualPage1.html" title="First page of manual. " alt="" coords="117,157,228,184"/>
<area shape="rect" id="node6" href="classCManualPage2.html" title="Second page of manual. " alt="" coords="117,208,228,235"/>
<area shape="rect" id="node7" href="classCManualPage3.html" title="Third page of manual. " alt="" coords="117,259,228,285"/>
<area shape="rect" id="node8" href="classCNewMenu.html" title="New game menu. " alt="" coords="127,309,218,336"/>
<area shape="rect" id="node9" href="classCScoreMenu.html" title="Show score menu. " alt="" coords="123,360,222,387"/>
<area shape="rect" id="node10" href="classCWinner.html" title="Show winning screen. " alt="" coords="136,411,209,437"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a99c5d916a13d9b537322760b0cc507bb"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classCMenu.html">CMenu</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a99c5d916a13d9b537322760b0cc507bb">selectOption</a> ()</td></tr>
<tr class="memdesc:a99c5d916a13d9b537322760b0cc507bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes input from user, default menu selection tool, only quit to main menu is available.  <a href="#a99c5d916a13d9b537322760b0cc507bb">More...</a><br /></td></tr>
<tr class="separator:a99c5d916a13d9b537322760b0cc507bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca43f3ff2553f1cbe112a64c7a07bfd"><td class="memItemLeft" align="right" valign="top"><a id="a1ca43f3ff2553f1cbe112a64c7a07bfd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> () const =0</td></tr>
<tr class="separator:a1ca43f3ff2553f1cbe112a64c7a07bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a9bb1df6a44815e4f39d7adcdb2cbaac2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a9bb1df6a44815e4f39d7adcdb2cbaac2">readInput</a> (void) const</td></tr>
<tr class="memdesc:a9bb1df6a44815e4f39d7adcdb2cbaac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads input from user, if read fails, exception is thrown.  <a href="#a9bb1df6a44815e4f39d7adcdb2cbaac2">More...</a><br /></td></tr>
<tr class="separator:a9bb1df6a44815e4f39d7adcdb2cbaac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3957f935a8f7c9394521e9731e9194b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#ab3957f935a8f7c9394521e9731e9194b">printError</a> (const string &amp;error) const</td></tr>
<tr class="memdesc:ab3957f935a8f7c9394521e9731e9194b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with error message in the middle.  <a href="#ab3957f935a8f7c9394521e9731e9194b">More...</a><br /></td></tr>
<tr class="separator:ab3957f935a8f7c9394521e9731e9194b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547f525ceec932b4ad056495725ec5c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a547f525ceec932b4ad056495725ec5c5">printEmptyLine</a> (int lines=1) const</td></tr>
<tr class="memdesc:a547f525ceec932b4ad056495725ec5c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints x empty lines with borders, size of each line is DEFAULTWIDTH.  <a href="#a547f525ceec932b4ad056495725ec5c5">More...</a><br /></td></tr>
<tr class="separator:a547f525ceec932b4ad056495725ec5c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc047ee1ef45b1ce2c1b1718eb5dac59"><td class="memItemLeft" align="right" valign="top"><a id="adc047ee1ef45b1ce2c1b1718eb5dac59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#adc047ee1ef45b1ce2c1b1718eb5dac59">printBorder</a> () const</td></tr>
<tr class="memdesc:adc047ee1ef45b1ce2c1b1718eb5dac59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints border consisting of symbol '*' DEFAULTWIDTH symbols long. <br /></td></tr>
<tr class="separator:adc047ee1ef45b1ce2c1b1718eb5dac59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab51557914817fb31b152b02f2719158e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#ab51557914817fb31b152b02f2719158e">printString</a> (const string &amp;str, int position=CENTER) const</td></tr>
<tr class="memdesc:ab51557914817fb31b152b02f2719158e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints string to the position given by parameter, string is surrounded by menu border, e.g.  <a href="#ab51557914817fb31b152b02f2719158e">More...</a><br /></td></tr>
<tr class="separator:ab51557914817fb31b152b02f2719158e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd0faa7ac7f37b630d3eb3355262db9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a5cd0faa7ac7f37b630d3eb3355262db9">middleLine</a> (const string &amp;line) const</td></tr>
<tr class="memdesc:a5cd0faa7ac7f37b630d3eb3355262db9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with message in the middle and quit info at the end.  <a href="#a5cd0faa7ac7f37b630d3eb3355262db9">More...</a><br /></td></tr>
<tr class="separator:a5cd0faa7ac7f37b630d3eb3355262db9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace1e821e272a338d37208d2580479f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#aace1e821e272a338d37208d2580479f1">printFolderMenu</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:aace1e821e272a338d37208d2580479f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints menu screen with folder content given by parameter.  <a href="#aace1e821e272a338d37208d2580479f1">More...</a><br /></td></tr>
<tr class="separator:aace1e821e272a338d37208d2580479f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5a810d4fa05da3f83f992542b0e76c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCMenu.html">CMenu</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#adc5a810d4fa05da3f83f992542b0e76c">playGame</a> (<a class="el" href="classCGame.html">CGame</a> &amp;game)</td></tr>
<tr class="memdesc:adc5a810d4fa05da3f83f992542b0e76c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts loaded game.  <a href="#adc5a810d4fa05da3f83f992542b0e76c">More...</a><br /></td></tr>
<tr class="separator:adc5a810d4fa05da3f83f992542b0e76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4758e62ae038c08a95e6c86692b0865e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a4758e62ae038c08a95e6c86692b0865e">printFolder</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:a4758e62ae038c08a95e6c86692b0865e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of folder given by parameter, each file / subfolder is separated by empty line left and right boders are printed along both sides.  <a href="#a4758e62ae038c08a95e6c86692b0865e">More...</a><br /></td></tr>
<tr class="separator:a4758e62ae038c08a95e6c86692b0865e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c7dffc1ac1246900b4b4dde1cb303e"><td class="memItemLeft" align="right" valign="top">vector&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a31c7dffc1ac1246900b4b4dde1cb303e">loadFolder</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:a31c7dffc1ac1246900b4b4dde1cb303e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads folder, returns vector of filenames.  <a href="#a31c7dffc1ac1246900b4b4dde1cb303e">More...</a><br /></td></tr>
<tr class="separator:a31c7dffc1ac1246900b4b4dde1cb303e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Menu class Abstract class with a basic set of methods to draw parts of menu. </p>
<p>Show and select methods are implemented in inherited classes based on menu type. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a31c7dffc1ac1246900b4b4dde1cb303e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31c7dffc1ac1246900b4b4dde1cb303e">&#9670;&nbsp;</a></span>loadFolder()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt; string &gt; CMenu::loadFolder </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>folder</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads folder, returns vector of filenames. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">folder</td><td>to load </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector of filenames inside the folder, empty if error occurred </dd></dl>

</div>
</div>
<a id="a5cd0faa7ac7f37b630d3eb3355262db9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cd0faa7ac7f37b630d3eb3355262db9">&#9670;&nbsp;</a></span>middleLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CMenu::middleLine </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with message in the middle and quit info at the end. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>message to print </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="adc5a810d4fa05da3f83f992542b0e76c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc5a810d4fa05da3f83f992542b0e76c">&#9670;&nbsp;</a></span>playGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCMenu.html">CMenu</a> * CMenu::playGame </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCGame.html">CGame</a> &amp;&#160;</td>
          <td class="paramname"><em>game</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Starts loaded game. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">game</td><td>to play </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to menu screen that follows ( loser / winner ) </dd></dl>

</div>
</div>
<a id="a547f525ceec932b4ad056495725ec5c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a547f525ceec932b4ad056495725ec5c5">&#9670;&nbsp;</a></span>printEmptyLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CMenu::printEmptyLine </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>lines</em> = <code>1</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints x empty lines with borders, size of each line is DEFAULTWIDTH. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">lines</td><td>number of empty lines to print </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab3957f935a8f7c9394521e9731e9194b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3957f935a8f7c9394521e9731e9194b">&#9670;&nbsp;</a></span>printError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CMenu::printError </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with error message in the middle. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>message to print </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4758e62ae038c08a95e6c86692b0865e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4758e62ae038c08a95e6c86692b0865e">&#9670;&nbsp;</a></span>printFolder()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int CMenu::printFolder </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>folder</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints content of folder given by parameter, each file / subfolder is separated by empty line left and right boders are printed along both sides. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">folder</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>number of files inside folder </dd></dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">exception</td><td>thrown if folder is empty or if it was not loaded properly </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aace1e821e272a338d37208d2580479f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aace1e821e272a338d37208d2580479f1">&#9670;&nbsp;</a></span>printFolderMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CMenu::printFolderMenu </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>folder</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints menu screen with folder content given by parameter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">folder</td><td>to print </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab51557914817fb31b152b02f2719158e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab51557914817fb31b152b02f2719158e">&#9670;&nbsp;</a></span>printString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CMenu::printString </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>position</em> = <code>CENTER</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints string to the position given by parameter, string is surrounded by menu border, e.g. </p>
<ul>
<li>string * <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">str</td><td>string to print </td></tr>
    <tr><td class="paramname">position</td><td>LEFT (0), CENTER(1) or RIGHT(2) available </td></tr>
  </table>
  </dd>
</dl>
</li>
</ul>

</div>
</div>
<a id="a9bb1df6a44815e4f39d7adcdb2cbaac2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bb1df6a44815e4f39d7adcdb2cbaac2">&#9670;&nbsp;</a></span>readInput()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string CMenu::readInput </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reads input from user, if read fails, exception is thrown. </p>
<dl class="section return"><dt>Returns</dt><dd>input that was read </dd></dl>

</div>
</div>
<a id="a99c5d916a13d9b537322760b0cc507bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99c5d916a13d9b537322760b0cc507bb">&#9670;&nbsp;</a></span>selectOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCMenu.html">CMenu</a> * CMenu::selectOption </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processes input from user, default menu selection tool, only quit to main menu is available. </p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">exception</td><td>thrown if the input is incorrect </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to main menu </dd></dl>

<p>Reimplemented in <a class="el" href="classCManualPage3.html#a8808b88b84d578c204d49dde0a8d7d18">CManualPage3</a>, <a class="el" href="classCManualPage2.html#a26f2a6cc16bc56fe70b7e37677f920ba">CManualPage2</a>, <a class="el" href="classCManualPage1.html#a57c86b90ed08e9db26a7abb019dc802f">CManualPage1</a>, <a class="el" href="classCGamesMenu.html#a601b458383fb5a2cdb1015c3e0dc60ce">CGamesMenu</a>, <a class="el" href="classCNewMenu.html#a91c537695ea24439ffb6a90afda0c39d">CNewMenu</a>, and <a class="el" href="classCMainMenu.html#ad1b4408067b623c42349bad353abe7ae">CMainMenu</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="menu_8h_source.html">menu.h</a></li>
<li>menu.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
